# music21 Command Builder

Back to All music21 Web Apps

Not logged in to Noteflight? Log in

### Request JSON

### Response JSON

## Data:

Enter data you wish to include in the request. May be used by name in later commands

format only needs to be specified for data that needs to be parsed by converter.parse; it is optional for primitives (int, float, bool) and raw strings

( ) =

Set current score as variable:

## Commands:

Note: commands using modules (i.e. corpus.parse) should be listed entirely in the commandName field, leaving the caller field empty

Arguments may be separated by commas.

Attribute:
= . ()

## Return:

Select the variables and their format that should be returned in the JSON response

()

Variable to send to noteflight:

If nonempty, this variable will be automatically added to returnDict with return type 'musicxml' when submitting

### Errors:

### Results: